package com.solution.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.solution.system.mapper.NodeparameterMapper;
import com.solution.system.domain.Nodeparameter;
import com.solution.system.service.INodeparameterService;

/**
 * 节点参数Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
@Service
public class NodeparameterServiceImpl implements INodeparameterService 
{
    @Autowired
    private NodeparameterMapper nodeparameterMapper;

    /**
     * 查询节点参数
     * 
     * @param id 节点参数主键
     * @return 节点参数
     */
    @Override
    public Nodeparameter selectNodeparameterById(Long id)
    {
        return nodeparameterMapper.selectNodeparameterById(id);
    }

    /**
     * 查询节点参数列表
     * 
     * @param nodeparameter 节点参数
     * @return 节点参数
     */
    @Override
    public List<Nodeparameter> selectNodeparameterList(Nodeparameter nodeparameter)
    {
        return nodeparameterMapper.selectNodeparameterList(nodeparameter);
    }

    /**
     * 新增节点参数
     * 
     * @param nodeparameter 节点参数
     * @return 结果
     */
    @Override
    public int insertNodeparameter(Nodeparameter nodeparameter)
    {
        return nodeparameterMapper.insertNodeparameter(nodeparameter);
    }

    /**
     * 修改节点参数
     * 
     * @param nodeparameter 节点参数
     * @return 结果
     */
    @Override
    public int updateNodeparameter(Nodeparameter nodeparameter)
    {
        return nodeparameterMapper.updateNodeparameter(nodeparameter);
    }

    /**
     * 批量删除节点参数
     * 
     * @param ids 需要删除的节点参数主键
     * @return 结果
     */
    @Override
    public int deleteNodeparameterByIds(Long[] ids)
    {
        return nodeparameterMapper.deleteNodeparameterByIds(ids);
    }

    /**
     * 删除节点参数信息
     * 
     * @param id 节点参数主键
     * @return 结果
     */
    @Override
    public int deleteNodeparameterById(Long id)
    {
        return nodeparameterMapper.deleteNodeparameterById(id);
    }
}
